### Property

# Ide Buffer:buffer-manager

#### Declaration

    property buffer-manager: Ide.BufferManager [ write, construct-only ]

#### Description

Sets the “buffer-manager” property, which is used by the buffer to clean-up state when the buffer is no longer in use.

Type: | `IdeBufferManager`
Available since: | 3.32

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes